Bug 2207 - Spec file continues building even when errors are present
Spec file continues building even when errors are present
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
sparc Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 1999-04-15 20:13 EDT by kestes
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-22 18:57:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kestes 1999-04-15 20:13:31 EDT
I was building a package and I made a macro which did not
work.  The shell interpreted it wrong and gave me errors.
However even though the shell gave me errors the spec file
did not stop the build.  This is very dangerous.  I thought
all errors would terminate the build process.

Ken Estes

+ cd MD5-1.7
+ chown -R root .
+ chgrp -R other .
+ chmod -R a+rX,g-w,o-w .
+ '[!' -x /opt/perl/1.7/bin/perl ']'
/usr/local/src/redhat/BUILD/rpm-tmp.14727: [!: command not
+ '[!' -f /opt/perl/1.7/bin/perl ']'
/usr/local/src/redhat/BUILD/rpm-tmp.14727: [!: command not
+ '[!' -d '/opt/perl/1.7/lib/site_perl/*/share' ']'
/usr/local/src/redhat/BUILD/rpm-tmp.14727: [!: command not
+ '[!' -d '/opt/perl/1.7/lib/site_perl/*/sparc-solaris2.6'
/usr/local/src/redhat/BUILD/rpm-tmp.14727: [!: command not
+ exit 0
Executing: %build
Comment 1 kestes 1999-04-15 20:15:59 EDT
forgot the details!
I am running
RPM version 2.5.6
on a Solaris box

SunOS 5.6 Generic_105181-06 sun4u sparc
Comment 2 Steve Fink 2000-12-22 18:57:13 EST
Related: when building fails with eg a File not found, it continues for a while
and spits out other messages. It would have saved me a *lot* of time if it had
either mentioned "(rpm build failed)" immediately after the file not found, or
if at the end it said "RPM build FAILED due to previous errors". As it is, it
just kind of stops, and the important error messages may be buried deep within
other verbose output.
Comment 3 Jeff Johnson 2001-02-21 13:24:58 EST
The build scriptlets are run with a -e flag that should stop execution
immediately on
receipt of error if with a well behaved copy of bash (or other shell). Dunno
what else
to do.

FWIW, build errors are now collected and spewed at end-of-build in rpm-4.0.1 and

Note You need to log in before you can comment on or make changes to this bug.